Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624285 - RFE: allow arbitrary dates ranges on the "recents" tab
RFE: allow arbitrary dates ranges on the "recents" tab
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Product Browser (Show other bugs)
3.6
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 12:17 EDT by Kevin Baker
Modified: 2014-12-01 18:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 00:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Baker 2010-08-15 12:17:07 EDT
Description of problem:

The recent tab works by select X days (up to 100) back from the current date. Ed Rousseau wanted to know if he could put in an arbitrary date range and have it produce the list.


https://bugzilla.redhat.com/page.cgi?id=browse.html&tab=recents&bug_status=open
Comment 1 David Lawrence 2010-08-19 17:55:39 EDT
Give it a try and let me know what you think.

https://bz-web2-test.devel.redhat.com/page.cgi?id=browse.html&tab=recents&product=Red+Hat+Enterprise+Linux+6&bug_status=open

Dave
Comment 2 Kevin Baker 2010-08-20 09:54:53 EDT
works ok.

how do the dates work?

is it (GE <start-date> && LE <end-date>)
or
(GT <start-date> && LT <end-date>)
Comment 3 David Lawrence 2010-08-20 11:11:08 EDT
(In reply to comment #2)

(GE <start-date> && LE <end-date>)
Comment 4 Kevin Baker 2010-08-20 12:32:46 EDT
(In reply to comment #3)
> (In reply to comment #2)
> 
> (GE <start-date> && LE <end-date>)

I guess I should have asked about time stamp too. Is LE <end-date> the same as LE <end-date 00:00:00> ? 

So if I want all the bugs for June I need to say "June 1st to July 1st"
Comment 5 David Lawrence 2010-08-20 13:58:16 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > 
> > (GE <start-date> && LE <end-date>)
> 
> I guess I should have asked about time stamp too. Is LE <end-date> the same as
> LE <end-date 00:00:00> ? 
> 
> So if I want all the bugs for June I need to say "June 1st to July 1st"

Right, except it would be 2010-06-01 to 2010-07-01. It is not very intelligent right now and really should require using the calendar widget only so that the format is always correct. But I imagine we could take additional shortcuts later such as 2 weeks ago to now for example.

Dave
Comment 6 David Lawrence 2010-10-04 00:46:18 EDT
Checked in and will be in the next code update.

Note You need to log in before you can comment on or make changes to this bug.